services:
  plugin.manager.views.access:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [access, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.area:
    class: Drupal\views\Plugin\ViewsHandlerManager
    arguments: [area, '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']
  plugin.manager.views.argument:
    class: Drupal\views\Plugin\ViewsHandlerManager
    arguments: [argument, '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']
  plugin.manager.views.argument_default:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [argument_default, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.argument_validator:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [argument_validator, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.cache:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [cache, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.display_extender:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [display_extender, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.display:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [display, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.exposed_form:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [exposed_form, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.field:
    class: Drupal\views\Plugin\ViewsHandlerManager
    arguments: [field, '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']
  plugin.manager.views.filter:
    class: Drupal\views\Plugin\ViewsHandlerManager
    arguments: [filter, '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']
  plugin.manager.views.join:
    class: Drupal\views\Plugin\ViewsHandlerManager
    arguments: [join, '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']
  plugin.manager.views.pager:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [pager, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.query:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [query, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.relationship:
    class: Drupal\views\Plugin\ViewsHandlerManager
    arguments: [relationship, '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']
  plugin.manager.views.row:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [row, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.sort:
    class: Drupal\views\Plugin\ViewsHandlerManager
    arguments: [sort, '@container.namespaces', '@views.views_data', '@cache.discovery', '@module_handler']
  plugin.manager.views.style:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [style, '@container.namespaces', '@cache.discovery', '@module_handler']
  plugin.manager.views.wizard:
    class: Drupal\views\Plugin\ViewsPluginManager
    arguments: [wizard, '@container.namespaces', '@cache.discovery', '@module_handler']
  views.views_data:
    class: Drupal\views\ViewsData
    arguments: ['@cache.default', '@module_handler', '@language_manager']
    tags:
      - { name: backend_overridable }
  Drupal\views\ViewsData: '@views.views_data'
  views.views_data_helper:
    class: Drupal\views\ViewsDataHelper
    arguments: ['@views.views_data']
  Drupal\views\ViewsDataHelper: '@views.views_data_helper'
  views.executable:
    class: Drupal\views\ViewExecutableFactory
    arguments: ['@current_user', '@request_stack', '@views.views_data', '@router.route_provider']
  Drupal\views\ViewExecutableFactory: '@views.executable'
  views.analyzer:
    class: Drupal\views\Analyzer
    arguments: ['@module_handler']
  Drupal\views\Analyzer: '@views.analyzer'
  views.route_subscriber:
    class: Drupal\views\EventSubscriber\RouteSubscriber
    arguments: ['@entity_type.manager', '@state']
    tags:
      - { name: 'event_subscriber' }
  views.exposed_form_cache:
    class: Drupal\views\ExposedFormCache
  Drupal\views\ExposedFormCache: '@views.exposed_form_cache'
  views.entity_schema_subscriber:
    class: Drupal\views\EventSubscriber\ViewsEntitySchemaSubscriber
    arguments: ['@entity_type.manager', '@logger.channel.default']
    tags:
      - { name: 'event_subscriber' }
  views.date_sql:
    class: Drupal\views\Plugin\views\query\MysqlDateSql
    arguments: ['@database']
    tags:
      - { name: backend_overridable }
  pgsql.views.date_sql:
    class: Drupal\views\Plugin\views\query\PostgresqlDateSql
    arguments: ['@database']
    public: false
  sqlite.views.date_sql:
    class: Drupal\views\Plugin\views\query\SqliteDateSql
    arguments: ['@database']
    public: false
  views.cast_sql:
    class: Drupal\views\Plugin\views\query\CastSql
    tags:
      - { name: backend_overridable }
